Subject: Re: PINT Issue

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 30 Nov 1998 14:03:16 -0500

Lawrence Conroy wrote:
> 
> However, the use of 1xx codes is a problem - the INVITE from the PINT
> Client to the PINT Gateway is accepted with a 2xx "final" response from the
> Gateway back to the client, after which the Client "commits" the request by
> sending an ACK message to the Gateway. The Gateway cannot, with PINT, start
> sending back 1xx responses AFTER it has sent a "final" response.
> 
> The current PINT draft suggests that a PINT Client can SUBSCRIBE to some
> event, after which responses containing the status of that event will be
> returned as requested inside NOTIFY messages.  It's something that has been
> introduced into "core" SIP, and so it's sensible to use that rather than
> invent our own message (as we had done with the "status" message). However,
> its introduction was quite recent, and this area needs work, IMHO.

Just a clarification here; the use of SUBSCRIBE and NOTIFY has NOT been
introduced to the core SIP specification, nor is there a plan to do so.
These new methods, introduced in
http://search.ietf.org/internet-drafts/draft-rosenberg-sip-pip-00.txt
were conceived for the purpose of presence notifications. They are an
extension to SIP. They may well serve your purpose here, but they're not
part of the main spec.

-Jonathan R.
-- 
Jonathan D. Rosenberg                       Lucent Technologies
Member of Technical Staff                   101 Crawfords Corner Rd.
High Speed Networks Research                Holmdel, NJ 07733
FAX:   (732) 834-5379                       Rm. 4C-526
EMAIL: [email-masked]
URL: http://www.cs.columbia.edu/~jdrosen
---------
This message came from the IETF PINT Working Group Mailing List.